import java.io.*;
import java.util.*;
import java.awt.*;
import javax.swing.*;

public class Menubar extends JMenuBar implements Observer
{
  private Model model;

  // Bob the Builder this shit
  public Menubar(Model model, Handler handler)
  {
    // Hook up this observer so that it will be notified when the model
    // changes.
    this.model = model;
    this.setPreferredSize(new Dimension(1280, 50));
    this.setMinimumSize(new Dimension(320, 50));
    this.add(new JMenu("File"));
    model.addObserver(this);
  }
  
  /**
  * Update with data from the model.
  */
  public void update(Object observable)
  {
    revalidate();
    repaint();
  }
}
